require_relative '../category_provider'

module Devops
  module Model
    class StackCategoryProviderAws < CategoryProvider

      include ActiveModel::Validations

      attr_accessor :stack_template

      validate :validate_params

      def initialize d={}
        super(d)
        self.stack_template = d["stack_template"]
      end

      def to_hash
        h = super
        h.merge!({
          "stack_template" => self.stack_template
        })
      end

      def account_instance
        @account_instance ||= Devops::Model::AwsProviderAccount.find(self.account)
      end

      # Creates stack in aws
      def create_stack(stack, out)
      end

    private
      def validate_params
      end

    end
  end
end


